/*****global rules********/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

a {
  text-decoration: none;
}

li {
  list-style: none;
}

ul {
  padding: 0;
}

input,
textarea,
button {
  border: none;
  outline: none;
}

html,
body {
  overflow-x: hidden;
}

body {
  font-family: "Inter";
  font-weight: 400;
  position: relative;
}

.main-title {
  text-align: center;
  color: #4154f1;
  font-size: 24px;
  margin-bottom: 50px;
  font-weight: bold;
}

.fixed-btn {
  width: 50px;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  bottom: 20px;
  right: 20px;
  background-color: #6e80cc;
  border-radius: 14px;
  -webkit-border-radius: 14px;
  -moz-border-radius: 14px;
  -ms-border-radius: 14px;
  -o-border-radius: 14px;
  z-index: 21;
  cursor: pointer;
}

.fixed-btn:hover svg {
  transform: translateY(-5px);
  -webkit-transform: translateY(-5px);
  -moz-transform: translateY(-5px);
  -ms-transform: translateY(-5px);
  -o-transform: translateY(-5px);
  transition: 0.5s;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
}

/*****navbar********/
.navbar {
  box-shadow: 0px 4px 40px 0px rgba(0, 0, 0, 0.1);
}

.nav-item {
  margin: 0 14px;
}

.navbar-light .navbar-nav .nav-link.active {
  color: #001d93;
}

.navbar-light .navbar-nav .nav-link {
  color: #000000;
}

.navbar-light .navbar-nav .nav-link:hover {
  color: #001d93;
}

.navbar-toggler {
  border: none;
  outline: none;
  background-color: #3d63ea;
  width: 50px;
  height: 50px;
  border-radius: 12px;
  -webkit-border-radius: 12px;
  -moz-border-radius: 12px;
  -ms-border-radius: 12px;
  -o-border-radius: 12px;
  -webkit-border-radius: 14px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.navbar-toggler:focus {
  box-shadow: 0 0 0;
}

.navbar-light .navbar-toggler-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='white' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

.custom-navbar {
  position: fixed;
  width: 70%;
  height: 80vh;
  top: 100px;
  left: 10%;
  right: 0;
  background: white;
  display: none;
  /*Initiallyhidden*/
  justify-content: center;
  align-items: center;
  flex-direction: column;
  z-index: 212;
  border-radius: 25px;
  -webkit-border-radius: 25px;
  -moz-border-radius: 25px;
  -ms-border-radius: 25px;
  -o-border-radius: 25px;
}

.custom-navbar li a,
.custom-navbar li span {
  color: #202021;
  font-weight: bold;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  background: #3f105ebf;
  z-index: 12 !important;
  display: none;
}

.navbar-collapse {
  display: none;
}

.custom-navbar .navbar-content {
  position: relative;
  padding: 20px;
  text-align: center;
  width: 100% !important;
  height: 100%;
  text-align: left;
}

.custom-navbar .close-btn {
  position: absolute;
  top: -50px;
  left: 100%;
  font-size: 30px;
  background: none;
  border: none;
  cursor: pointer;
  margin-bottom: 40px;
  color: rgb(21, 21, 21);
}

.custom-navbar .nav-links {
  list-style: none;
  padding: 0;
}

.custom-navbar .nav-links li {
  margin: 40px 0;
  color: rgb(13, 13, 13) !important;
}

/**********hero section ****************/

.hero-section {
  padding-top: 30px;
}

.hero-section .hero-content h1 {
  line-height: 1.5;
  font-size: 45px;
}

.hero-section .hero-content h1 .hero-span1 {
  background: linear-gradient(180deg, #de4396 38%, rgba(13, 28, 159, 0) 100%);

  background-clip: text;
  /* For other browsers */
  color: transparent;
  font-weight: bold;
}

.hero-section .hero-content h1 .hero-span2 {
  font-size: 53px;
  font-weight: bolder;
  background: linear-gradient(225deg, #de4396 0%, #294ed3 100%);

  -webkit-background-clip: text;
  /* For WebKit browsers */
  -webkit-text-fill-color: transparent;
  /* For WebKit browsers */
  background-clip: text;
  /* For other browsers */
  color: #406aff;
}

.hero-section .row {
  align-items: center;
}

.hero-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 175px;
  height: 52px;
  border-radius: 5px;
  color: white;
  background-color: #3d63ea;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
  box-shadow: 0px 4px 49px 0px rgba(0, 0, 0, 0.15);
  cursor: pointer;
  margin-top: 50px;
  transition: 0.5s;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
}

.hero-btn:hover {
  color: white;
  background-color: #1230a7;
}

.hero-section .hero-background img {
  width: 100%;
}

.ball {
  width: 72px;
  height: 72px;
  border-radius: 100%;
  background: linear-gradient(225deg, #f76680 0%, #caabef 17%);
  -webkit-border-radius: 100%;
  -moz-border-radius: 100%;
  -ms-border-radius: 100%;
  -o-border-radius: 100%;
  position: relative;
  top: 80px;
}

.ball::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 50px;
  background: white;
  top: 90%;
  left: 50%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  -o-transform: translate(-50%, -50%);
}

.hero-content p {
  line-height: 1.8;
}

/**********about***********/
.about-section {
  padding: 100px 0;
  position: relative;
}


 .modal-overlay2 {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.8);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 1001;
  /* Above other content */
}

.modal-content2 {
  position: relative;
  text-align: center;
}

 .modal-content2 img {
  width: 500px;
  height: 500px;
  max-width: 100%;
}

 .close-btn {
  position: absolute;
  top: -60px;
  right: 0;
  font-size: 30px;
  color: white;
  cursor: pointer;
}

.about-section::after {
  content: "";
  position: absolute;
  top: 80%;
  right: 10%;
  background-image: url("../imgs/Deco-img-arrow1.png");
  background-size: contain;
  background-repeat: no-repeat;
  width: 250px;
  height: 300px;
}

.about-section::before {
  content: "";
  position: absolute;
  top: 100%;
  left: 10%;
  background-image: url("../imgs/Deco-img-arrow.png");
  background-size: contain;
  background-repeat: no-repeat;
  width: 250px;
  height: 300px;
}

.about-section-background {
  position: relative;
  cursor: pointer;
}

.about-section-background:hover img {
  filter: blur(0);
  -webkit-filter: blur(0);
}

.about-section-background::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.2);
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1;
}

.about-section-background img {
  width: 100%;
  filter: blur(4px);
  -webkit-filter: blur(4px);
  transition: 0.5s;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
}

.video-play-toggler {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 78px;
  height: 78px;
  border-radius: 100%;
  -webkit-border-radius: 100%;
  -moz-border-radius: 100%;
  -ms-border-radius: 100%;
  -o-border-radius: 100%;
  background: rgba(255, 255, 255, 0.43);
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  -o-transform: translate(-50%, -50%);
  z-index: 22;
}

.video-toggler-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 49px;
  height: 49px;
  background: #57007b;
  border-radius: 100%;
  -webkit-border-radius: 100%;
  -moz-border-radius: 100%;
  -ms-border-radius: 100%;
  -o-border-radius: 100%;
  border: 2px solid white;
}

.video-toggler-icon i {
  color: white;
  font-size: 22px;
  z-index: 1213;
}
.about-section-content{
  position: relative;
}
.about-section-content::after{
  content: '';
  position: absolute;
  top: -50px;
  left: 0;
  width: 69px;
  height: 5px;
  background: linear-gradient(225deg, #F76680 0%, #57007B 100%);

}
.about-section-content h1 {
  font-size: 31px;
  line-height: 1.5;
  color: #1a202c;
  margin-bottom: 30px;
}

.about-section-content p {
  max-width: 100%;
  line-height: 1.8;
  font-weight: 400;
}

.about-section-content h1 .about-span2 {
  font-weight: bold;
}

.about-section-content a {
  display: block;
  margin-top: 50px;
  color: #57007b !important;
  transition: 0.5s;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
  font-weight: bold;
}

.about-section-content a:hover i {
  margin-left: 20px;
}

.about-section-content a i {
  margin-left: 15px;
}

/*********services**********/
.services {
  background-color: #f9f9ff;
  margin-top: 250px;
  padding: 60px 0;
}

.swiper2 {
  padding-bottom: 60px !important;
  height: fit-content;
  direction: ltr;
}

.swiper2 .swiper-wrapper {
  align-items: center;
}

.swiper2 .swiper-slide {
  border-radius: 5px;
  height: fit-content !important;
  background: rgba(250, 250, 250, 1);
  box-shadow: 0px 4px 30px 0px rgba(0, 0, 0, 0.05);
  transition: 0.5s;
  border-radius: 8px;
  -webkit-border-radius: 8px;
  -moz-border-radius: 8px;
  -ms-border-radius: 8px;
  -o-border-radius: 8px;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
  padding: 20px;
}

.swiper2 .swiper-slide.active {
  height: fit-content !important;
  transform: translateY(50px);
  border: 1px solid transparent;
  border-image: linear-gradient(225deg, #f76680 0%, #57007b 100%) 1;
}

.swiper2 .swiper-slide.active h1 {
  background: linear-gradient(225deg, #f76680 20%, #57007b 100%);
  font-weight: bold;
  background-clip: text;
  color: transparent;
}

.swiper2 .pagination {
  margin-left: 8px !important;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 100px;
  z-index: 100;
}

.swiper2 .pagination span {
  font-size: 0;
  opacity: 1;
  margin: 0px 6px !important;
  border: 1px solid #cbd5e0;
  background: none;
  width: 15px;
  height: 15px;
}

.swiper2 .pagination span.swiper-pagination-bullet-active {
  background: linear-gradient(225deg, #f76680 0%, #57007b 100%);
  border: 1px solid rgba(255, 255, 255, 1);
  transform: scale(1.5);
}

.swiper-logo {
  width: 70px;
  height: 70px;
  border: 1px solid #57007b;
  border-radius: 100%;
  -webkit-border-radius: 100%;
  -moz-border-radius: 100%;
  -ms-border-radius: 100%;
  -o-border-radius: 100%;
}

.swiper-slide h1 {
  font-size: 19px;
  color: #2d3748;
  font-weight: 600;
}

/******our value*******/
.our-value .container {
  display: flex;
  text-align: center;
  flex-wrap: wrap;
  column-gap: 48px;
}

.our-value .container .value-box {
  width: 46%;
  margin-bottom: 24px;
  background-color: #fafafa;
  box-shadow: 0px 1px 4px 0px rgba(0, 0, 0, 0.24);
  border-radius: 9px;
  -webkit-border-radius: 9px;
  -moz-border-radius: 9px;
  -ms-border-radius: 9px;
  -o-border-radius: 9px;
  padding: 44px 71px;
  border-right: 1px solid #4154f1;
  position: relative;
  overflow: hidden;
  transition: 0.5s;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
}

.our-value .container .value-box:hover {
  background-color: #294ed3;
  color: white;

  h1 {
    color: white;
  }
}

.our-value .container .value-box::after {
  content: "";
  position: absolute;

  width: 80px;
  height: 207px;
  transform: rotate(24deg);
  background: rgba(65, 84, 241, 0.5);
  -webkit-transform: rotate(24deg);
  -moz-transform: rotate(24deg);
  -ms-transform: rotate(24deg);
  -o-transform: rotate(24deg);
}

.our-value .container .value-box:nth-child(1)::after {
  top: -120px;
  left: -35px;
}

.our-value .container .value-box:nth-child(2)::after {
  bottom: -150px;
  left: -70px;
  border-radius: 50px;
  -webkit-border-radius: 50px;
  -moz-border-radius: 50px;
  -ms-border-radius: 50px;
  -o-border-radius: 50px;
}

.our-value .container .value-box:nth-child(3)::after {
  bottom: -120px;
  right: -45px;
  border-radius: 80px;
  -webkit-border-radius: 80px;
  -moz-border-radius: 80px;
  -ms-border-radius: 80px;
  -o-border-radius: 80px;
}

.our-value .container .value-box:nth-child(4)::after {
  top: -160px;
  right: -70px;
  border-radius: 40px;
  -webkit-border-radius: 40px;
  -moz-border-radius: 40px;
  -ms-border-radius: 40px;
  -o-border-radius: 40px;
}

.value-box h1 {
  font-size: 24px;
  color: #4154f1;
}

.value-box p {
  width: 462px;
  max-width: 100%;
  margin: 0 auto;
  line-height: 1.7;
}

.value-logo {
  width: 77px;
  height: 77px;
  border-radius: 100%;
  margin: 0 auto 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  background: rgba(255, 255, 255, 1);
  box-shadow: 0px 1px 7px 1px rgba(0, 0, 0, 0.15);
  -webkit-border-radius: 100%;
  -moz-border-radius: 100%;
  -ms-border-radius: 100%;
  -o-border-radius: 100%;
}

/**************our projects******************/

#slider-container {
  height: 300px;
  width: 85vw;
  max-width: 1400px;
  position: relative;
  overflow: hidden;
  padding: 20px;
}

.our-project .hero-btn {
  margin: 0 auto 20px;
}

#slider-container .btn:hover {
  transform: scale(1.2);
}

#slider-container .btn:first-of-type {
  transform: rotate(-45deg);
  left: 10px;
}

#slider-container .btn:last-of-type {
  transform: rotate(135deg);
  right: 10px;
}

#slider-container #slider {
  display: flex;
  width: 1000%;
  height: 100%;
  transition: all 0.5s;
}

#slider-container #slider .slide {
  height: 90%;
  margin: auto 10px;
  display: grid;
  place-items: center;
}

#slider-container #slider .slide span {
  color: white;
  font-size: 150px;
}

.our-project .card {
  border: none;
  padding: 43px;
}

.our-project .card-image {
  margin-bottom: 20px;
}

.our-project .card img {
  width: 254px;
  height: 175px;
  max-width: 100%;
  max-height: 100%;

  border-radius: 10px;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  -ms-border-radius: 10px;
  -o-border-radius: 10px;
}

.our-project .card-content p {
  line-height: 1.7;
  width: 254px;
  max-width: 100%;
}

.our-project .card-content a {
  color: #57007b;
  font-weight: bold;
  float: right;
  direction: rtl;
}

.our-project .swiper-navBtn {
  color: #171717;
  transition: color 0.3s ease;
}

.our-project .swiper-navBtn:hover {
  color: #4070f4;
}

.our-project .swiper-navBtn::before,
.our-project .swiper-navBtn::after {
  font-size: 38px;
}

.our-project .swiper-button-next {
  right: 0;
}

.our-project .swiper-button-prev {
  left: 0;
}
.our-project .swiper{
  direction: ltr;
}
/*******our blogs***********/
.our-blogs {
  padding: 60px 0;
}

.our-blogs .container {
  margin-bottom: 20px;
}

.our-blogs .hero-btn {
  margin: 0 auto;
}

.blog-item {
  box-shadow: 0px 1px 4px 0px rgba(0, 0, 0, 0.25);
  border-radius: 14px;
  -webkit-border-radius: 14px;
  -moz-border-radius: 14px;
  -ms-border-radius: 14px;
  -o-border-radius: 14px;
  padding: 16px;
  transition: 0.8s;
  -webkit-transition: 0.8s;
  -moz-transition: 0.8s;
  -ms-transition: 0.8s;
  -o-transition: 0.8s;
}

.blog-item h1 {
  font-size: 15px;
  font-weight: bold;
  color: #012970;
  margin-top: 30px;
}

.blog-img {
  text-align: center;
}

.blog-item img {
  width: 200px;
  height: 200px;
  max-width: 100%;
  max-height: 100%;
}

.blog-item a {
  color: #4154f1 !important;
  font-weight: bold;
}

.blog-item:hover {
  background-color: #4154f1;
  color: white;
}

.blog-item:hover a {
  color: white !important;
}

/**********footer **********/
footer {
  background-color: #f8f7f7;
  padding-top: 60px !important;
}

footer ul li:hover a {
  transition: 0.5s;
  color: #012970 !important;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
}

/************contact us*****************/
.contact-us,
.about-us {
  padding: 80px 0;
}

.contact-us h1,
.about-us h1 {
  font-size: 64px;
  color: #4154f1;
}

.contact-us .form-group:not(:nth-child(1)) input,
.contact-us .form-group textarea {
  width: 100%;
}

.contact-us .form-group input,
.form-group textarea {
  background-color: #f8f7f7;
  border-radius: 8px;
  -webkit-border-radius: 8px;
  -moz-border-radius: 8px;
  -ms-border-radius: 8px;
  -o-border-radius: 8px;
  padding: 13px 20px;
  margin-bottom: 20px;
}

.contact-us .form-group:nth-child(1) {
  display: flex;
  justify-content: space-between;
}

.contact-us .form-group:nth-child(1) input {
  width: 49%;
}

.contact-btn {
  display: block;
  width: 100%;
  padding: 15px;
  color: white;
  border-radius: 8px;
  -webkit-border-radius: 8px;
  -moz-border-radius: 8px;
  -ms-border-radius: 8px;
  -o-border-radius: 8px;
  background-color: #3d63ea;
  box-shadow: 0px 4px 49px 0px rgba(0, 0, 0, 0.15);
  transition: 0.5s;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
  margin-bottom: 50px;
}

.contact-btn:hover {
  background-color: #1230a7;
}

/***********about us **********/
.about-us p {
  width: 542px;
  max-width: 100%;
  line-height: 1.8;
}

.about-background {
  position: relative;
  margin-bottom: 80px;
}

.about-background img {
  border-radius: 28px;
  -webkit-border-radius: 28px;
  -moz-border-radius: 28px;
  -ms-border-radius: 28px;
  -o-border-radius: 28px;
  height: 478px;
}

.about-info-list {
  position: absolute;
  top: 50px;
  left: 23px;
}

.about-info-list ul li {
  background-color: white;
  box-shadow: 0px 4px 70px 0px rgba(85, 63, 46, 0.04);
  margin: 10px 0;
  border-radius: 11px;
  -webkit-border-radius: 11px;
  -moz-border-radius: 11px;
  -ms-border-radius: 11px;
  -o-border-radius: 11px;
  padding: 10px;
}

.about-info-list ul li img {
  width: 40px;
  height: 40px;
  margin: 0 10px;
}

.about-background::after {
  content: "";
  position: absolute;
  background-image: url("../imgs/Frame\ 198.png");
  width: 95%;
  height: 200px;
  top: -30px;
  left: 40%;
  z-index: -1;
}

.about-background::before {
  content: "";
  position: absolute;
  background-image: url("../imgs/Frame\ 269.png");
  background-repeat: no-repeat;
  width: 200px;
  height: 200px;
  top: 90%;
  left: 85%;
  z-index: -1;
}

/*******blog details********/
.blog-details-section {
  padding: 60px 0;
}

.blog-details-content p {
  margin-bottom: 8px;
}

.blog-details-content h1 {
  font-size: 32px;
  font-weight: bold;
}

.blog-btn-more {
  float: right;
}

.blog-details-background {
  position: relative;
  height: fit-content;
  margin-top: 50px;
}

.blog-details-background::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.34);
}

.blog-details-background img {
  width: 852px;
  max-width: 100%;
  border-radius: 8px;
  -webkit-border-radius: 8px;
  -moz-border-radius: 8px;
  -ms-border-radius: 8px;
  -o-border-radius: 8px;
}

.blog-header {
  position: absolute;
  top: 50%;
  left: 35%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  -o-transform: translate(-50%, -50%);
  line-height: 1.8;
  color: white;
  z-index: 1;
  max-width: 100%;
}

.blog-footer {
  position: absolute;
  bottom: 10px;
  color: white;
  z-index: 1;
  width: 100%;
  padding: 0 20px;
}

.blog-footer ul {
  display: flex;
  gap: 10px;
}

.blog-footer ul li {
  border: 1px solid white;
  border-radius: 49px;
  -webkit-border-radius: 49px;
  -moz-border-radius: 49px;
  -ms-border-radius: 49px;
  -o-border-radius: 49px;
  width: fit-content;
  padding: 10px 15px;
  transition: 0.5s;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
}

.blog-footer ul li:hover {
  background-color: #1e2951;
}

.blog-description {
  box-shadow: 0px 1px 4px 0px #0000003d;
  padding: 41px 25px;
  line-height: 1.8;
}

.related-blogs-sidebar h3 {
  font-size: 20px;
  font-weight: bold;
}

.related-blog-container {
  margin-top: 110px;
}

.related-blogs-sidebar span {
  background-color: #f8f7f7;
  display: inline-block;
  width: 100%;
  padding: 10px 5px;
  border-radius: 9px;
  -webkit-border-radius: 9px;
  -moz-border-radius: 9px;
  -ms-border-radius: 9px;
  -o-border-radius: 9px;
  margin: 10px 0;
  font-size: 14px;
  transition: 0.5s;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
}

.related-blogs-sidebar span:hover {
  background-color: #1e2951;
  color: white;
}

.related-blogs-sidebar .latest-blog span {
  display: inline-block;
  width: 100% !important;
}

.related-header {
  margin-top: 20px;
}

.related-item {
  margin-bottom: 30px;
}

.related-item img {
  width: 164px;
  height: 139px;
  border-radius: 10px;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  -ms-border-radius: 10px;
  -o-border-radius: 10px;
}

.blog-btn-more {
  color: #57007b;
  font-weight: bold;
}

.blog-details-background::before {
  content: "";
  position: absolute;
  top: -20px;
  left: -50px;
  width: 400px;
  height: 400px;
  z-index: -1;
  background-image: url("../imgs/Frame\ 198.png");
}

/**********project details*********/
.project-details-section {
  padding: 60px 0;
  position: relative;
}

.project-details-background img {
  width: 490px;
  height: 600px;
  max-width: 100%;
  object-fit: cover;
}

.project-details-background {
  position: relative;
}

.project-details-background::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.34);
}

.project-details-background::before {
  content: "";
  position: absolute;
  top: -20px;
  left: -30px;
  width: 400px;
  height: 400px;
  z-index: -1;
  background-image: url("../imgs/Frame\ 198.png");
}

.project-details-container {
  position: relative;
}

.circle-container {
  content: "";
  position: absolute;
  bottom: -50px;
  right: -30px;
  width: 400px;
  height: 400px;
  z-index: -1;
  background-image: url("../imgs/Frame\ 198.png");
}

.eye-icon {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  -o-transform: translate(-50%, -50%);
  z-index: 1;
  cursor: pointer;
}

.project-details-description .project-details-header {
  margin: 50px 0 20px;
}

.project-details-description span {
  color: #6a3cd6;
}

.project-details-container h1 {
  color: #5d4545;
  font-size: 25px;
}

.project-details-footer p {
  width: 600px;
  max-width: 100%;
  line-height: 1.9;
}

.project-details-info {
  background-color: #f8f7f7;
  border-top-right-radius: 14px;
  border-bottom-right-radius: 14px;
  box-shadow: 0px 4px 4px 0px #00000040;
  margin-left: -20px;
  padding: 0 60px;
}

/*******all projects******/
.all-project {
  padding: 60px 0;
}

.all-project .hero-btn {
  width: 150px;
  border-radius: 10px;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  -ms-border-radius: 10px;
  -o-border-radius: 10px;
  text-align: center;
}

.project-item {
  background-color: #f8f7f7;
  box-shadow: 0px 4px 4px 0px #00000040;
  padding: 30px 15px 10px;
  border-radius: 14px;
  -webkit-border-radius: 14px;
  -moz-border-radius: 14px;
  -ms-border-radius: 14px;
  -o-border-radius: 14px;
  overflow: hidden;
  position: relative;
  height: fit-content;
}

.all-project .hero-btn {
  margin: 0 auto 20px;
}

.all-project .row,
.all-services .row {
  row-gap: 40px;
}

.project-item img {
  filter: blur(2px);
  -webkit-filter: blur(2px);
  transition: 0.9s;
  -webkit-transition: 0.9s;
  -moz-transition: 0.9s;
  -ms-transition: 0.9s;
  -o-transition: 0.9s;
  border-radius: 14px;
  -webkit-border-radius: 14px;
  -moz-border-radius: 14px;
  -ms-border-radius: 14px;
  -o-border-radius: 14px;
  width: 100%;
}

.project-item img:hover {
  filter: blur(0);
  -webkit-filter: blur(0);
  scale: 1.1;
}

/*******all services********/
.all-services {
  padding: 60px;
}

.all-services img {
  filter: blur(0);
  -webkit-filter: blur(0);
  width: 40px;
  height: 40px;
}

.all-services h1 {
  font-size: 20px;
  background: linear-gradient(225deg, #f76680 0%, #57007b 100%);
  color: transparent;
  background-clip: text;
}

.all-services .project-item .swiper-logo {
  transition: 0.9s;
  -webkit-transition: 0.9s;
  -moz-transition: 0.9s;
  -ms-transition: 0.9s;
  -o-transition: 0.9s;
}

.all-services .project-item .swiper-logo:hover {
  background-color: #001d93;
}



/********responsive************/
@media (min-width: 1500px) {
  .about-section-content p {
    width: 535px;
    max-width: 100%;
  }

  .about-background img {
    width: 698px;
  }
}

@media (min-width: 1200px) {
  .nav-item {
    margin: 0px 30px;
  }
}

@media (max-width: 950px) {
  .navbar .container {
    padding: 10px !important;
  }

  .about-background {
    margin-top: 50px;
  }
}

@media (max-width: 1500px) {
  .about-background img {
    max-width: 100%;
  }
}

@media (max-width: 992px) {
  .hero-content {
    text-align: center;
  }

  .logo-footer {
    text-align: center;
  }

  footer .fast-links {
    order: 1;
  }

  .project-details-info {
    margin-left: 0;
    border-top-right-radius: 0;
    border-bottom-right-radius: 14px;
    border-bottom-left-radius: 14px;
    padding: 25px;
  }

  .project-details-background img {
    width: 100%;
  }

  .location-footer {
    width: 100%;
  }

  .our-value .container .value-box {
    width: 100%;
  }

  .hero-background {
    width: 90%;
    max-width: 100%;
    margin: 0 auto;
  }

  .hero-content h1 {
    margin: 50px auto 30px;
  }

  .hero-btn {
    margin: 30px auto 0;
  }

  .hero-section .row {
    display: grid;
  }

  .hero-section .row div:nth-child(1) {
    order: 1;
  }

  .about-section {
    text-align: center;
  }

  .about-section-content h1 {
    font-size: 22px;
  }

  .about-section-background {
    margin-top: 80px;
  }
}

@media (max-width: 455px) {
  .hero-section .hero-content h1,
  .hero-section .hero-content h1 .hero-span2 {
    font-size: 32px;
  }

  .main-title {
    font-size: 24px;
  }

  .our-value .container .value-box {
    padding: 15px;
  }

  .our-value .container .value-box h1 {
    font-size: 20px;
  }

  .contact-us h1,
  .about-us h1 {
    font-size: 30px;
  }
}

@media (max-width: 340px) {
  .Useful-links {
    width: 100%;
    margin-top: 10px;
    margin-bottom: 20px;
  }

  .about-info-list {
    left: 0;
  }

  .fast-links,
  .Useful-links {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .contact-us .form-group:nth-child(1) {
    flex-direction: column;
  }

  .contact-us .form-group:nth-child(1) input {
    width: 100%;
  }
}

@media (max-width: 1200px) {
  .about-section::after,
  .about-section::before {
    display: none;
  }

  .services {
    margin-top: 0;
  }
}

@media ((min-width: 1200px) and (max-width:1300px)) {
  .about-section::after {
    right: 0%;
  }

  .about-section::before {
    left: 0%;
  }
}

@media only screen and (min-width: 1100px) {
  #slider-container #slider .slide {
    width: calc(2.5% - 20px);
  }
}

@media only screen and (max-width: 1100px) {
  #slider-container #slider .slide {
    width: calc(3.3333333% - 20px);
  }
}

@media only screen and (max-width: 900px) {
  #slider-container #slider .slide {
    width: calc(5% - 20px);
  }
}

@media (max-width: 520px) {
  .our-project .card {
    display: flex;
    align-items: center;
    justify-self: center;
  }

  .our-project .card-content {
    text-align: center;

    p {
      width: 100%;
    }
  }

  .our-project .card-content a {
    float: none;
  }

  .project-details-info,
  .project-details-background {
    width: 90%;
    margin: 0 auto;
    text-align: center;
  }

  .project-details-footer {
    margin-top: 50px;
  }

  .project-details-info h4 {
    font-size: 16px;
  }
}
@media (max-width: 521px) {
  .related-description {
    text-align: center;
  }
  .project-details-info,
  .project-details-background {
    width: 100%;
  }
}

@media only screen and (max-width: 550px) {
  #slider-container #slider .slide {
    width: calc(10% - 20px);
  }
}

@media screen and (max-width: 768px) {
  .slide-content {
    margin: 0 10px;
  }

  .contact-us,
  .about-us {
    text-align: center;
  }

  .blog-details-background::before {
    height: 250px;
  }

  .contact-us h1,
  .about-us h1 {
    margin-bottom: 30px;
  }
}

@media (max-width: 250px) {
  .navbar-brand img {
    width: 69px;
  }

  .navbar-toggler {
    width: 40px;
    height: 40px;
  }
}

@media (max-width: 326px) {
  .related-blogs-sidebar .row div {
    width: 100%;
  }

  .all-project .hero-btn {
    width: 100%;
  }
}

@media (max-width: 521px) {
  .related-item {
    flex-direction: column;
    align-items: center;
  }

  .blog-btn-more {
    display: block;
    float: none;
    margin: 0 auto;
    text-align: center;
  }

  .related-blogs-sidebar h3 {
    margin-bottom: 20px;
    text-align: center;
  }

  .blog-description {
    text-align: center;
  }

  .blog-details-content > p,
  h1 {
    text-align: center;
  }

  .blog-details-content > p {
    font-size: 14px;
  }

  .blog-details-content h1 {
    font-size: 20px;
  }

  .blog-footer ul li {
    padding: 10px 3px;
    font-size: 12px;
  }

  .blog-footer {
    flex-wrap: wrap;
  }

  .blog-header {
    font-size: 14px;
    margin-top: -50px;
  }
}

@media (max-width: 405px) {
  .blog-header {
    display: none;
  }

  .blog-footer span {
    margin-bottom: 10px;
  }
}

@media (max-width: 270px) {
  .blog-footer ul {
    gap: 0;
    flex-wrap: wrap;
  }
}

@media (max-width: 241px) {
  .blog-footer span {
    display: none;
  }
}
@media (max-width: 295px) {
  .about-section .modal-content2 img {
    height: 100%;
  }
}
